﻿using System;
using System.Net;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using DownJoy.WPSDK.Events;
using DownJoy.WPSDK;

namespace DownJoy.WPSDKDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
       private  DownJoyAPI api;
        // 构造函数
        public MainPage()
        {
            
            InitializeComponent();
           
            // 将 listbox 控件的数据上下文设置为示例数据
            DataContext = App.ViewModel;
           api=DownJoyAPI.GetInstance("101", "195", "1", "j5VEvxhc");
           api.LoginCompleted += api_LoginCompleted;
           api.NetworkError += api_NetworkError;
           api.LoginOutCompleted += api_LoginOutCompleted;
           api.PaymentCanceled += api_PaymentCanceled;
           api.PaymentCompleted += api_PaymentCompleted;
           api.MemberLoadCompleted += api_MemberLoadCompleted;
            
        }
        
        void api_LoginCompleted(object sender, LoginEventArgs e)
        {
           
        }

        void api_MemberLoadCompleted(object sender, MemberEventArgs e)
        {
            //获取用户数据成功
            if (string.IsNullOrEmpty(e.Message))
            {
                this.Dispatcher.BeginInvoke(() =>
                { 
                    MessageBox.Show("AvatarUrl:" + e.Member.AvatarUrl + "  UserName:" + e.Member.UserName + "  Token:" + e.Member.Token + " Gender:" + e.Member.Gender+"  NikeName :"+e.Member.NickName);
                });
            }
        }

     

        void api_PaymentCanceled(object sender, CancelPaymentEventArgs e)
        {
             
        }

        void api_PaymentCompleted(object sender, PaymentCompletedEventArgs e)
        {
            if (e.Error==null)
            {
                if (e.Message == "0")//表示充值或支付成功
                {
                    //此处写入你的逻辑代码
                }
            }
        }
          
        void api_LoginOutCompleted(object sender, LoginOutEventArgs e)
        {
            //this.view.Hide(); 
        }
         
        void api_NetworkError(object sender, NetworkErrorEventArgs args)
        {
             
        }

        

     

        // 为 ViewModel 项加载数据
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            if (!App.ViewModel.IsDataLoaded)
            {
                App.ViewModel.LoadData();
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            //    string mid = DownJoyAPI.GetInstance().MemberId;
            //    if (string.IsNullOrEmpty(mid))
            //    {
            //        MessageBox.Show("请先登录!");
            //        return;
            //    }
            //    this.NavigationService.Navigate(new Uri("/PaymentPage.xaml", UriKind.Relative));
            if (!api.IsLogin)
            {
                LoginControl LC = new LoginControl();
                this.view.Content = LC;
                this.view.Show();
            }
            else
                MessageBox.Show("你已登录，无需重复登录");
        }

        private void BtnUserCenterClick(object sender, RoutedEventArgs e)
        {
            if (!DownJoyAPI.GetInstance().IsLogin)
            {
                MessageBox.Show("请先登录!");
                return;
            }
            AccountInfoControl accountInfoControl = new AccountInfoControl();
            this.view.Content = accountInfoControl;
            this.view.Show();
        }

        private void BtnOrderCenterClick(object sender, RoutedEventArgs e)
        {
            if (!DownJoyAPI.GetInstance().IsLogin)
            {
                MessageBox.Show("请先登录!");
                return;
            }
            string eif = "eif" + DateTime.Now.ToString("yyyyMMddHHmmss");//CP订单号
            int money = 1;//物品价格(多少个当乐豆)
            string productName = "游戏元宝500*1";//购买物品名称
            PaymentOrderControl orderControl = new PaymentOrderControl(productName,money,eif);
            this.view.Content = orderControl;
            this.view.Show();
        }

        private void BtnRechargeClick(object sender, RoutedEventArgs e)
        {
            if (!DownJoyAPI.GetInstance().IsLogin)
            {
                MessageBox.Show("请先登录!");
                return;
            }
            RechargeControl rechargeControl = new RechargeControl();
            this.view.Content = rechargeControl;
            this.view.Show();
        }

        private void BtnLoginOutClick(object sender, RoutedEventArgs e)
        {
            if (!DownJoyAPI.GetInstance().IsLogin)
            {
                MessageBox.Show("请先登录!");
                return;
            }
            DownJoyAPI.GetInstance().LoginOut();
        }

        private void BtnGetUserInfoClick(object sender, RoutedEventArgs e)
        {
            if (!DownJoyAPI.GetInstance().IsLogin)
            {
                MessageBox.Show("请先登录!");
                return;
            }
            DownJoyAPI.GetInstance().GetMember();
        }
    }
}